[Numpy-discussion] Installing numpy on py 3.1.2 , osx

Ralf Gommers ralf.gommers@googlemail....
Mon Jun 7 20:26:39 CDT 2010


On Tue, Jun 8, 2010 at 4:46 AM, Vincent Davis <vincent@vincentdavis.net>wrote:

> On Mon, Jun 7, 2010 at 2:11 PM, Skipper Seabold <jsseabold@gmail.com>
> wrote:
> > On Mon, Jun 7, 2010 at 4:02 PM, Vincent Davis <vincent@vincentdavis.net>
> wrote:
> >>   "Cannot compile 'Python.h'. Perhaps you need to "\
> >> SystemError: Cannot compile 'Python.h'. Perhaps you need to install
> >> python-dev|python-devel.
> >
> > Not sure about this.  Might be the compiler issue, but I know on Linux
> > you need to install the python-dev (or python-devel) package, but I
> > don't see that as a pre-req on the Mac page.
>
> So it seems to be seeing the newly installed fortran, but I do get an
> error at the end.
>   File "numpy/core/setup.py", line 260, in check_types
>    "Cannot compile 'Python.h'. Perhaps you need to "\
> SystemError: Cannot compile 'Python.h'. Perhaps you need to install
> python-dev|python-devel.
>
> Any ideas, I looked into how python-dev|python-devel applied to python
> but could make much of what I found. I tried to build python 3.1.2
> from source but that didn't work out. If I need to go that direction I
> guess I need to.
>
> You are probably missing the 10.4 SDK. It's an optional install of XCode on
your Snow Leopard DVD.

Cheers,
Ralf
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20100608/da4ad305/attachment.html 


More information about the NumPy-Discussion mailing list